Subject: Re: bug#18493: 24.3.93; posn-col-row should take text-scale-mode into account

From: Stefan Monnier <[email-masked]>
Date: Fri, 19 Sep 2014 21:17:49 -0400

> Like explained earlier, since the GUI element-based popups are unlikely to
> work in Emacs 24.4 and older, and the next release is almost certainly 6-12
> months away, I've been trying to add some polish for the users of
> current Emacs.

posn-col-row can't "take text-scale-mode into account".  So the only way
forward would be to provide another posn-something-col-row, and that
is not an option for 24.4.  So if you want it to work with 24.4 it'll have
to be based on what's already present.

I think you can make it work in Company by simply taking a copy of
posn-col-row into company.el and changing it so that it multiplies
frame-char-width and frame-char-height by the current text-scaling factor.

It's very brittle, but it's not like there's a much better solution out
there anyway (other than using a GUI-based popup, I mean, of course).

        Stefan